.flexible-staffing-section {
    padding: 80px 0;
    background-color: white;
    overflow: hidden;
}

.flexible-staffing-section .section-title {
    font-size: 2.5rem;
    font-weight: 600;
    color: #003451;
    margin-bottom: 2rem;
    line-height: 1.2;
}

.features-grid {
    display: flex;
    flex-direction: column;
    /* gap: 0.5rem 0.8rem; */
}

.flexible-staffing-section .feature-item {
    display: flex;
    align-items: flex-start;
    padding: 12px 0;
    text-align: start;
    border-bottom: 1px solid #e1e2e8;
    white-space: nowrap;
    background-color: white;
    width: fit-content;
    text-wrap: inherit;
}

.feature-check {
    color: #255ee0;
    font-size: 0.8rem;
    margin-right: 0.75rem;
    margin-top: 0.125rem;
    flex-shrink: 0;
    background-color: #e9eefb;
    border-radius: 6px;
    padding: 4px;
}

.feature-btn {
    padding: 0.875rem 2rem;
    border-radius: 50px;
    font-size: 1rem;
    border: none;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    margin-top: auto;
}

.feature-item span {
    color: #4b5563;
    font-size: 0.9rem;
    line-height: 1.5;
    font-weight: 500;
}

/* Mobile screen Styles */
.mobile-app-screen-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

.mobile-app-screen-container {
    position: relative;
    width: 100%;
    z-index: 2;
}

.mobile-app-screen-container img {
    width: 450px;
}

/* Media Queries */
@media (max-width: 991.98px) {
    .flexible-staffing-section {
        padding-top: 40px;
    }

    .flexible-staffing-section .section-title {
        text-align: center !important;
    }

    .business-content {
        padding-right: 0;
        text-align: center;
    }

    .feature-item {
        white-space: wrap;
    }

    .flexible-staffing-section .app-features-section {
        display: flex;
        flex-direction: column-reverse;
        margin: 1px;
    }

    .flexible-staffing-section .app-features-section .features-grid {
        justify-content: center;
    }

    .mobile-app-screen-container {
        width: unset;
    }

    .mobile-app-screen-container img {
        width: 320px;
        margin-bottom: 40px;
    }
}

@media (max-width: 767.98px) {
    .flexible-staffing-section {
        padding-bottom: 0;
    }

    .flexible-staffing-section .section-title {
        font-size: 1.75rem;
        margin-bottom: 1.5rem;
        text-align: start;
    }

    .feature-item span {
        font-size: 0.8rem;
    }

    .flexible-staffing-section .feature-btn {
        width: 100%;
        padding: 0.75rem 1.5rem;
        font-size: 0.9rem;
    }

    .check-mark {
        width: 40px;
        height: 40px;
        font-size: 16px;
        bottom: 40px;
        right: 120px;
    }
}
